<?php

namespace App\Model;

final class DeployImageTypes
{
    public const string DEPLOY_IMAGE = 'deploy-image';
    public const string UPDATE_CACHE = 'update-cache';
    private const array DEPLOYMENT_IMAGE_TYPES = [
        self::DEPLOY_IMAGE => 'Unidad Organizativa',
        self::UPDATE_CACHE => 'Grupo de aulas',
    ];

    public static function getDeploymentImageTypes(): array
    {
        return self::DEPLOYMENT_IMAGE_TYPES;
    }

    public static function getDeploymentImageType(string $type): ?string
    {
        return self::DEPLOYMENT_IMAGE_TYPES[$type] ?? null;
    }

    public static function getDeploymentImageTypeKeys(): array
    {
        return array_keys(self::DEPLOYMENT_IMAGE_TYPES);
    }
}